> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List transactions

> List all transactions with optional filtering



## OpenAPI

````yaml get /v1/transactions
openapi: 3.0.0
info:
  title: Transactions API
  version: 1.0.0
  description: API for managing financial transactions
servers: []
security:
  - bearerAuth: []
tags:
  - name: Transactions
    description: Transaction management operations
paths:
  /v1/transactions:
    get:
      tags:
        - Transactions
      summary: List transactions
      description: List all transactions with optional filtering
      parameters:
        - name: status
          in: query
          schema:
            type: string
            enum:
              - waiting-for-signature
              - pending
              - in-progress
              - completed
              - cancelled
              - failed
              - suspended
        - name: recipient_type
          in: query
          schema:
            type: string
            enum:
              - recipient
              - account
        - name: sender_type
          in: query
          schema:
            type: string
            enum:
              - recipient
              - account
        - name: type
          in: query
          schema:
            type: string
            enum:
              - iwt
              - owt
              - int
        - name: customer_id
          in: query
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: List of transactions
          content:
            application/json:
              schema:
                type: object
                properties:
                  transactions:
                    type: array
                    items:
                      $ref: '#/components/schemas/Transaction'
                  total:
                    type: integer
                    minimum: 0
                  hasMore:
                    type: boolean
components:
  schemas:
    Transaction:
      type: object
      properties:
        id:
          type: string
          format: uuid
        recipient_id:
          type: string
          format: uuid
        recipient_name:
          type: string
        recipient_type:
          type: string
          enum:
            - recipient
            - account
        recipient:
          type: object
          additionalProperties: true
        sender_id:
          type: string
          format: uuid
        sender_name:
          type: string
        sender_type:
          type: string
          enum:
            - recipient
            - account
        destination_currency:
          $ref: '#/components/schemas/TransactionCurrency'
        source_currency:
          $ref: '#/components/schemas/TransactionCurrency'
        status:
          type: string
          enum:
            - waiting-for-signature
            - pending
            - in-progress
            - completed
            - cancelled
            - failed
            - suspended
        channel:
          type: string
        tariff_id:
          type: string
          format: uuid
        task_id:
          type: string
          format: uuid
        customer_id:
          type: string
          format: uuid
        fee:
          type: string
        tax:
          type: string
        type:
          type: string
          enum:
            - iwt
            - owt
            - int
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
    TransactionCurrency:
      type: object
      required:
        - currency
        - amount
      properties:
        currency:
          type: string
        amount:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````